com.thinkaurelius.titan.graphdb.query.graph

## Class JointIndexQuery

- java.lang.Object
- - com.thinkaurelius.titan.graphdb.query.BaseQuery
  - - com.thinkaurelius.titan.graphdb.query.graph.JointIndexQuery

- All Implemented Interfaces:
    BackendQuery<JointIndexQuery>, Query

      public class JointIndexQuery
      extends BaseQuery
      implements BackendQuery<JointIndexQuery>

  A component/sub-query of a `GraphCentricQuery` that gets executed against an indexing backend or the index store by the query processor of the enclosing transaction. This query itself can contain multiple sub-queries which are individually executed by the `IndexSerializer` and the result sets merged. Those sub-queries are either targeting an external indexing backend or the internal index store which is a distinction this query keeps track of through the sub-class `JointIndexQuery.Subquery`, since their definition and execution differs starkly.
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JointIndexQuery.Subquery`

  - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.graphdb.query.Query

      `NO_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JointIndexQuery()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(CompositeIndexType index, KeySliceQuery query)`
    `void` | `add(MixedIndexType index, IndexQuery query)`
    `boolean` | `equals(Object other)`
    `JointIndexQuery.Subquery` | `getQuery(int pos)`
    `int` | `hashCode()`
    `boolean` | `isEmpty()`
    `int` | `size()`
    `String` | `toString()`
    `JointIndexQuery` | `updateLimit(int newLimit)` Creates a new query identical to the current one but with the specified limit.

    - ### Methods inherited from class com.thinkaurelius.titan.graphdb.query.BaseQuery

      `getLimit, hasLimit, setLimit`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.thinkaurelius.titan.graphdb.query.Query

      `getLimit, hasLimit`

- - ### Constructor Detail

    - #### JointIndexQuery

          public JointIndexQuery()

  - ### Method Detail

    - #### add

          public void add(MixedIndexType index,
                 IndexQuery query)

    - #### add

          public void add(CompositeIndexType index,
                 KeySliceQuery query)

    - #### size

          public int size()

    - #### getQuery

          public JointIndexQuery.Subquery getQuery(int pos)

    - #### isEmpty

          public boolean isEmpty()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### updateLimit

          public JointIndexQuery updateLimit(int newLimit)

      Description copied from interface: `BackendQuery`
      Creates a new query identical to the current one but with the specified limit.
      Specified by:
        `updateLimit` in interface `BackendQuery<JointIndexQuery>`
      Returns:

Copyright © 2012–2014. All rights reserved.